<?php
namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class crm20000CasoAnexosFactory
{
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection       = $entityManager->getConnection();
    }
    
    public function requestForDeleteFilesByOriginNumber($paramsDeleteFiles){
        
        $queryDelete = "DELETE CRM_ANEXOCONTATO
                        WHERE NRORIGEM = :NRORIGEM";
        
        try{
            $std = $this->connection->prepare($queryDelete);
            $std->execute($paramsDeleteFiles);
        }
        catch(\Exception $e){
            throw $e;
        };
            
    }
    
    public function requestForGetFilesUrlByOriginNumber($paramsSelectUrls){
        
        $select = "SELECT DSCAMINHO
                    FROM CRM_ANEXOCONTATO
                    WHERE NRORIGEM = :NRORIGEM";
        try{
            $std = $this->connection->prepare($select);
            $std->execute($paramsSelectUrls);
            $fileUrls = $std->fetchAll();
        }
        catch(\Exception $e){
            throw $e;
        };
        
        return $fileUrls;
        
    }
    
     public function saveAnexo(array $params) {
        $sql = "INSERT INTO CRM_ANEXOCONTATO (
                NRANEXOCONTATO,
                NRSEQCONTATO,
                NMARQUIVO,
                DSCAMINHO,
                DSTIPO,
                VRTAMANHO,
                IDATIVO,
                NRORG,
                DTINCLUSAO,
                NRORGINCLUSAO,
                CDOPERINCLUSAO,
                DTULTATU,
                NRORGULTATU,
                CDOPERULTATU,
                IDORIGEM,
                NRORIGEM
                )
                VALUES 
                (
                :NRANEXOCONTATO,
                :NRSEQCONTATO,
                :NMARQUIVO,
                :DSCAMINHO,
                :DSTIPO,
                :VRTAMANHO,
                :IDATIVO,
                :NRORG,
                 SYSDATE,
                :NRORGINCLUSAO,
                :CDOPERINCLUSAO,
                :DTULTATU,
                :NRORGULTATU,
                :CDOPERULTATU,
                :IDORIGEM,
                :NRORIGEM
                )";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}