# zhIdGenerator

Generates ids for json items like widgets and actions.

### How to use it

###### Configure your package.json

Add the following inside your devDependencies:

```javascript
"grunt-zh-id-generator": "git+http://192.168.122.56/zeedhi/grunt-zh-id-generator.git"
```

Go to your project's mobile/frontend folder and run the command:
```
npm install
```

###### Configure your GruntFile.js

Add the plugin configuration to you grunt.initConfig:

The jsonPath is an array. Its items may be a string with the path or a object containing the json path and the project's name inside containers.json file. If your containers.json file uses "zeedhi_project" as its project_name, just the path to json string is needed.

The menuPath property must be an array with path names to the menu configuration json file of your project (if it needs one). This json must be an array of groupMenus.

Set the property "replaceIds" to true if you want to replace all json ids with new ones. The default is false.

The jsonComponentsPath is an array. Its items are strings with a path or objects containing the json path and the project's name inside containers.json file. In this mode is allowed any json file.


Usage example:

```javascript
zhIdGenerator: {
    options: {
        jsonPath: [
            "../mobile/json",
            {
                path: "../../otherProject/mobile/json",
                projectName: "not_zeedhi_project"
            }
        ],
        jsonComponentsPath: ["assets/json/widgets"],
        menuPath: ["./menu.json"],
        replaceIds: true
    }
},
```

After initConfig:
```javascript
grunt.loadNpmTasks('grunt-zh-id-generator');
```

Run "grunt zhIdGenerator" from your project's mobile/frontend folder.